/* das08jr example 1
 * =================
 *
 * Read from a single line periodically :)
 *
 * Copyright (C) 1999 Jochen Kpper
 */


#include <errno.h>
#include <fcntl.h>
#include <stdio.h>
#include <unistd.h>



#define LINE   0  /* physical numbering scheme */
#define PAUSE  1  /* seconds to wait */



int main( void )
{
	int fd, i;
	unsigned short data;
	char filename[64];
	
	/* open file */
	sprintf( filename, "/dev/das08jr%d", LINE+1 );
	if ( -1 == ( fd = open( filename, O_RDONLY ) ) ) {
		perror( "das08jr example1" );
		exit( 1 );
	}

	/* loop for reading */
	for( i=0; i<600; i++ ) {
		/* Read data from analog in */
		if( 0 < read( fd, &data, 2 ) ) {
			printf( "value = %4d\n", data );
		} else {
			printf( "no value read !\n" );
		}
		fflush( 0 );
		/* sleep */
		sleep( PAUSE );
    }

	/* cleanup */
	close( fd );
	return( 0 );
}




/*
 * Local Variables:
 * mode: C
 * c-file-style: "Stroustrup"
 * End:
 */
